﻿#ifndef D88_H_INCLUDED
#define D88_H_INCLUDED

#pragma	pack(push,1)

//#include <windows.h>
#include "tdef.h"


// D88 ヘッダ情報構造体
typedef struct{
	BYTE name[17];					// ディスクの名前(ASCII + '\0')
	BYTE reserve[9];				// リザーブ
	BYTE protect;					// ライトプロテクト  0x00:なし 0x10:あり
	BYTE type;						// ディスクの種類    0x00:2D   0x10:2DD  0x20:2HD
	DWORD size;						// ディスクのサイズ(ヘッダ部+全トラック部)
	DWORD table[164];				// トラック部のオフセットテーブル(Track 0-163)
} D88HEADER;

// D88 セクタ情報構造体
typedef struct{
	BYTE c;							// ID の C (シリンダNo 片面の場合は=トラックNo)
	BYTE h;							// ID の H (ヘッダアドレス 片面の場合は=0)
	BYTE r;							// ID の R (トラック内のセクタNo)
	BYTE n;							// ID の N (セクタサイズ 0:128 1:256 2:512 3:1024)
	WORD sec_nr;					// このトラック内に存在するセクタの数
	BYTE density;					// 記録密度     0x00:倍密度   0x40:単密度
	BYTE deleted;					// DELETED MARK 0x00:ノーマル 0x10:DELETED
	BYTE status;					// ステータス
	BYTE reserve[5];				// リザーブ
	WORD size;						// このセクタ部のデータサイズ
} D88SECTINFO;


#pragma	pack(pop)

#endif
